Bug 890124 - Rest API - wrong user id in /api/users/<id>/permissions
Rest API - wrong user id in /api/users/<id>/permissions
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.2.0
Assigned To: Ravi Nori
Elena
infra
:
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2012-12-25 03:58 EST by Elena
Modified: 2016-02-10 14:19 EST (History)
9 users (show)

See Also:
Fixed In Version: sf4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Elena 2012-12-25 03:58:08 EST
GET request content is --  url:/api/users/a24a972c-8767-45eb-8bca-a8c74932446f/permissions 

Response body for GET request is: 
<permissions>
    <permission href="/api/users/eee00000-0000-0000-0000-123456789eee/permissions/6f9e623e-4dca-11e2-aed6-001a4a169775" id="6f9e623e-4dca-11e2-aed6-001a4a169775">
        <role href="/api/roles/def00009-0000-0000-0000-def000000009" id="def00009-0000-0000-0000-def000000009"/>
        <user href="/api/users/eee00000-0000-0000-0000-123456789eee" id="eee00000-0000-0000-0000-123456789eee"/>
        <template href="/api/templates/00000000-0000-0000-0000-000000000000" id="00000000-0000-0000-0000-000000000000"/>
    </permission>
    <permission href="/api/users/a24a972c-8767-45eb-8bca-a8c74932446f/permissions/d904045e-6cbd-4e17-99ff-3b78852667e5" id="d904045e-6cbd-4e17-99ff-3b78852667e5">
        <role href="/api/roles/def00008-0000-0000-0000-def000000008" id="def00008-0000-0000-0000-def000000008"/>
        <user href="/api/users/a24a972c-8767-45eb-8bca-a8c74932446f" id="a24a972c-8767-45eb-8bca-a8c74932446f"/>
        <data_center href="/api/datacenters/7e33e5f3-2bcd-4695-bf6e-573ee6e65536" id="7e33e5f3-2bcd-4695-bf6e-573ee6e65536"/>
    </permission>
</permissions>

User id is wrong in first permission: permission href and user href values.
Expected: a24a972c-8767-45eb-8bca-a8c74932446f
Actual: eee00000-0000-0000-0000-123456789eee

This user: eee00000-0000-0000-0000-123456789eee - doesn't exist at the system at all (/api/users)

For more debug info: http://jenkins.qa.lab.tlv.redhat.com:8080/view/Infra/job/3.1-automation_restapi_reg_mixed_cli/139/testReport/junit/%28root%29/Mixed_scenario/__067___Remove_all_permissions_from_user/
Comment 1 Ravi Nori 2013-01-02 12:08:30 EST
link : http://gerrit.ovirt.org/#/c/10581/

change id : I3d801cb3c4ad788e984c5338a04ac534d4942601
Comment 2 Elena 2013-02-06 04:49:28 EST
Verified in sf5
Comment 3 Itamar Heim 2013-06-11 05:01:14 EDT
3.2 has been released
Comment 4 Itamar Heim 2013-06-11 05:01:14 EDT
3.2 has been released
Comment 5 Itamar Heim 2013-06-11 05:01:20 EDT
3.2 has been released
Comment 6 Itamar Heim 2013-06-11 05:02:31 EDT
3.2 has been released
Comment 7 Itamar Heim 2013-06-11 05:31:48 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.